﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UchetLabContracts.BindingModels;
using UchetLabContracts.ViewModels;
using UchetLabDataModels.Models;

namespace UchetLabDatabaseImplement.Models
{
    public class Checker : ICheckerModel
    {
        public int Id { get; private set; }
        [Required]
        public string FIO { get; private set; } = string.Empty;
        public static Checker? Create(CheckerBindingModel model)
        {
            return new Checker()
            {
                Id = model.Id,
                FIO = model.FIO,
            };
        }

        public void Update(CheckerBindingModel model)
        {
            FIO = model.FIO;
        }
        public CheckerViewModel GetViewModel => new()
        {
            Id = Id,
            FIO = FIO,
        };
    }
}
