﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UchetLabContracts.BindingModels;
using UchetLabContracts.StorageContracts;
using UchetLabContracts.ViewModels;
using UchetLabDataModels.Models;

namespace UchetLabDatabaseImplement.Models
{
    public class Lab : IlabModel
    {
        public int Id { get; private set; }
        [Required]
        public string LabTask { get; private set; } = string.Empty;
        [Required]
        public string TaskImage { get; private set; } = string.Empty;
        [Required]
        public string Checker { get; private set; } = string.Empty;
        public DateTime CheckDate {  get; private set; } = DateTime.Now;
        public static Lab? Create(LabBindingModel model)
        {
            return new Lab()
            {
                Id = model.Id,
                LabTask = model.LabTask,
                TaskImage = model.TaskImage,
                Checker = model.Checker,
                CheckDate = model.CheckDate,
            };
        }
        public void Update(LabBindingModel model)
        {
            LabTask = model.LabTask;
            TaskImage = model.TaskImage;
            Checker = model.Checker;
            CheckDate = model.CheckDate;
        }
        public LabViewModel GetViewModel => new()
        {
            Id = Id,
            LabTask = LabTask,
            TaskImage = TaskImage,
            Checker = Checker,
            CheckDate = CheckDate,
        };
    }
}
